cascading.flow.stream.element

## Class BufferEveryWindow

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<Incoming,TupleEntry>
      - - cascading.flow.stream.element.OperatorStage<Incoming>
        - - cascading.flow.stream.element.EveryStage<Grouping<TupleEntry,TupleEntryIterator>>
          - - cascading.flow.stream.element.BufferEveryWindow

- All Implemented Interfaces:
    OpenWindow, ElementDuct

      public class BufferEveryWindow
      extends EveryStage<Grouping<TupleEntry,TupleEntryIterator>>
      implements OpenWindow

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.element.OperatorStage

      `argumentsBuilder, argumentsEntry, argumentsSelector, incomingEntry, operationCall, outgoingBuilder, outgoingEntry, outgoingSelector, outputCollector, remainderFields, RETAIN_COLLECTOR`

    - ### Fields inherited from class cascading.flow.stream.element.ElementStage

      `branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next, ordinal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferEveryWindow(FlowProcess flowProcess, Every every)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Fields` | `getIncomingArgumentsFields()`
    `protected Fields` | `getIncomingPassThroughFields()`
    `protected Fields` | `getOutgoingSelector()`
    `void` | `initialize()` Called immediately after bind
    `void` | `receive(Duct previous, Grouping<TupleEntry,TupleEntryIterator> grouping)`
    `void` | `start(Duct previous)`

    - ### Methods inherited from class cascading.flow.stream.element.EveryStage

      `getOperator`

    - ### Methods inherited from class cascading.flow.stream.element.OperatorStage

      `cleanup, complete, createArgumentsBuilder, createOutgoingBuilder, getOperationDeclaredFields, prepare`

    - ### Methods inherited from class cascading.flow.stream.element.ElementStage

      `equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `bind, getNext, getNextFor, receiveFirst`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferEveryWindow

          public BufferEveryWindow(FlowProcess flowProcess,
                           Every every)

  - ### Method Detail

    - #### initialize

          public void initialize()

      Description copied from class: `Duct`
      Called immediately after bind
      Overrides:
        `initialize` in class `OperatorStage<Grouping<TupleEntry,TupleEntryIterator>>`

    - #### getIncomingPassThroughFields

          protected Fields getIncomingPassThroughFields()

      Specified by:
        `getIncomingPassThroughFields` in class `OperatorStage<Grouping<TupleEntry,TupleEntryIterator>>`

    - #### getIncomingArgumentsFields

          protected Fields getIncomingArgumentsFields()

      Specified by:
        `getIncomingArgumentsFields` in class `OperatorStage<Grouping<TupleEntry,TupleEntryIterator>>`

    - #### getOutgoingSelector

          protected Fields getOutgoingSelector()

      Specified by:
        `getOutgoingSelector` in class `OperatorStage<Grouping<TupleEntry,TupleEntryIterator>>`

    - #### start

          public void start(Duct previous)

      Overrides:
        `start` in class `Duct<Grouping<TupleEntry,TupleEntryIterator>,TupleEntry>`

    - #### receive

          public void receive(Duct previous,
                     Grouping<TupleEntry,TupleEntryIterator> grouping)

      Overrides:
        `receive` in class `Stage<Grouping<TupleEntry,TupleEntryIterator>,TupleEntry>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.